<?php

if ( !function_exists( 'fs_wpt_faq' ) ) {
    // Create a helper function for easy SDK access.
    function fs_wpt_faq()
    {
        global  $fs_wpt_faq ;
        
        if ( !isset( $fs_wpt_faq ) ) {
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/freemius/start.php';
            $fs_wpt_faq = fs_dynamic_init( [
                'id'             => '5285',
                'slug'           => 'faq-manager-with-structured-data',
                'type'           => 'plugin',
                'public_key'     => 'pk_1d7e4995bd6366250de912e1a7794',
                'is_premium'     => false,
                'premium_suffix' => 'Premium',
                'has_addons'     => false,
                'has_paid_plans' => true,
                'trial'          => [
                'days'               => 7,
                'is_require_payment' => false,
            ],
                'menu'           => [
                'slug'    => 'faq-manager-with-structured-data-page',
                'support' => false,
                'parent'  => [
                'slug' => 'options-general.php',
            ],
            ],
                'is_live'        => true,
            ] );
        }
        
        return $fs_wpt_faq;
    }
    
    // Init Freemius.
    fs_wpt_faq();
    // Signal that SDK was initiated.
    do_action( 'fs_wpt_faq_loaded' );
}
