<?php
namespace WPT\FaqManager\Blocks\Styles;

/**
 *
 */
class Border {
    use DefaultComponentFunctions;

    public function __construct($cssName, $attributeName) {
        $this->cssName       = $cssName;
        $this->attributeName = $attributeName;
        $this->cssVars       = [];
    }

    public function getCssVariablesArray() {
        $values = $this->getAttributeValues();

        $vars[sprintf('%s-top-bw', $this->cssName)]    = $this->attributes[$this->attributeName]['width']['top'];
        $vars[sprintf('%s-right-bw', $this->cssName)]  = $this->attributes[$this->attributeName]['width']['right'];
        $vars[sprintf('%s-bottom-bw', $this->cssName)] = $this->attributes[$this->attributeName]['width']['bottom'];
        $vars[sprintf('%s-left-bw', $this->cssName)]   = $this->attributes[$this->attributeName]['width']['left'];
        $vars[sprintf('%s-bc', $this->cssName)]        = $this->attributes[$this->attributeName]['color'];
        $vars[sprintf('%s-bs', $this->cssName)]        = $this->attributes[$this->attributeName]['style'];

        return $vars;
    }
}
