var wptFaqAccordion = {
	init: function() {
		var self = this;
		jQuery('.wpt-faq-accordion .wpt-faq-item').on('click', function(e){

			if((e.target.className === 'wpt-faq-answer')|| jQuery(e.target).closest('.wpt-faq-answer').length){
				return;
			}
			e.preventDefault();

			var el = jQuery(this);
			var state = el.attr('data-wpt-faq-state');
			var id = el.attr('id');
			var new_state = (state == 'open') ? 'close' : 'open';
			// set the list as per settings
			self.appear_as_per_state(el);
			jQuery(this).attr('data-wpt-faq-state', new_state);
			var update_browser_url = el.closest('.wpt-faq-accordion').data('wpt-update-browser-url');

			if(update_browser_url){
				// add hash
				if(history.pushState) {
					history.pushState(null, null, '#' + id);
				}
				else {
					location.hash = id;
				}
			}
	});
	},
	appear_as_per_state: function(el){
		var main_el = el.closest('.wpt-faq-accordion');
		var can_open = main_el.attr('data-wpt-faq-can-open');
		var initial_state = el.attr('data-wpt-faq-initial-state');
		var id = el.attr('id');
		if((can_open == 'one') && (initial_state == 'close')  ) {
			el.closest('.wpt-faq-accordion').find('.wpt-faq-item').each(function(){

				if(jQuery(this).attr('id') != id){
					jQuery(this).attr('data-wpt-faq-state', 'close');
				}
			});
		}
	},
	open_faq: function(id){
		var el = jQuery(id)

		if(el.length && el.hasClass('wpt-faq-item')) {
			el.attr('data-wpt-faq-state', 'open');
			this.appear_as_per_state(el);
		}
	}

}

jQuery(document).ready(function($) {
	wptFaqAccordion.init();

	jQuery( window ).on( 'hashchange', function( e ) {
		wptFaqAccordion.open_faq(window.location.hash);
	});

	if(window.location.hash){
		wptFaqAccordion.open_faq(window.location.hash);
	}

});