<?php
/**
 * Plugin Name:     FAQ Manager For Divi, Gutenberg Block & Shortcode
 * Description:     Manage & categories FAQs with post type. Display using divi or gutenberg block or theme-agnostic shortcode
 * Author:          WP Tools
 * Author URI:      https://wptools.app
 * Text Domain:     faq-manager-with-structured-data
 * Domain Path:     /languages
 * Version:         5.4.0
 *
  * @package         Faq_Manager_With_Structured_Data
 */

require_once __DIR__ . '/freemius.php';
require_once __DIR__ . '/vendor/autoload.php';

$loader = \WPT\FaqManager\Loader::getInstance();

$loader['plugin_name']    = 'FAQ Manager For Divi, Gutenberg Block & Shortcode';
$loader['plugin_version'] = '5.4.0';
$loader['plugin_dir']     = __DIR__;
$loader['plugin_url']     = plugins_url('/' . basename(__DIR__));
$loader['plugin_file']    = __FILE__;
$loader['plugin_slug']    = 'faq-manager-with-structured-data';

$loader->run();
