<?php
namespace WPT\FaqManager\Divi;

/**
 * Divi.
 */
class Divi {
    protected $container;

    /**
     * Constructor.
     */
    public function __construct($container) {
        $this->container = $container;
    }

    /**
     * Init divi code
     */
    public function init() {
        //register divi extension
        add_action(
            'divi_extensions_init',
            [$this, 'divi_extensions_init']
        );

        add_action(
            'init',
            function () {
                if (isset($_GET['et_fb']) && ($_GET['et_fb'] == 1)) {
                    do_action('enqueue_wpt_faq_shortcode_assets');
                }
            }
        );

        /**
         * Remove unwanted style
         */
        add_action(
            'wp_print_styles',
            function () {
                wp_dequeue_style('faq-module-for-divi-theme-styles');
                wp_dequeue_script('faq-module-for-divi-theme-frontend-bundle');
            }
        );
    }

    /**
     *
     */
    public function divi_extensions_init() {
        require_once $this->container['plugin_dir'] . '/includes/FaqModuleForDiviTheme.php';
    }

}